CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

cppcms::sessions::session_storage Member List

This is the complete list of members for cppcms::sessions::session_storage, including all inherited members.

is_blocking()=0 | cppcms::sessions::session_storage | pure virtual
load(std::string const &sid, time_t &timeout, std::string &out)=0 | cppcms::sessions::session_storage | pure virtual
noncopyable() (defined in booster::noncopyable) | booster::noncopyable | inline protected
remove(std::string const &sid)=0 | cppcms::sessions::session_storage | pure virtual
save(std::string const &sid, time_t timeout, std::string const &in)=0 | cppcms::sessions::session_storage | pure virtual
~noncopyable() (defined in booster::noncopyable) | booster::noncopyable | inline protected
~session_storage() | cppcms::sessions::session_storage | inline virtual